# Installation Guide

{% tabs %}
{% tab title="Android" %}

### Android Installation Guide

In Android, the first step of the installation for Face Detector (Android) is to include the following dependencies in the **project-level build.gradle** file. The **build.gradle** file will need to make some changes as follow below:

```
allprojects {  
  repositories {  
        mavenCentral()
   }
 }
```

Include the following dependencies in **app-level build.gradle** file:

```
android {
    ...
    aaptOptions {
        noCompress "tflite"
    }
}

dependencies{
	 implementation 'com.innov8tif.facedetector:FaceDetector:0.0.3'
}
```

After adding the code, sync the project with gradle files to make sure all of the dependencies are successfully installed.

{% hint style="info" %}
Please make sure that the gradle files are synced
{% endhint %}
{% endtab %}

{% tab title="iOS" %}

### iOS Installation Guide

In iOS, the first step of the installation for Face Detector is to simply add the following line of code to your **Podfiles** as shown below:

```
use_frameworks!
pod 'FaceDetector', '0.0.3'

post_install do |installer|
    installer.pods_project.targets.each do |target|
        if target.name == "CryptoSwift"
            puts "Enable module stability for CryptoSwift"
            target.build_configurations.each do |config|
                config.build_settings['BUILD_LIBRARY_FOR_DISTRIBUTION'] = 'YES'
            end
        end
    end
end
```

After adding the code above to the **Podfiles**:&#x20;

* Run the command "pod install" to install the dependency
  {% endtab %}

{% tab title="React-Native" %}

### React-Native Installation Guide

In React-native, the first step of the installation is to install the react-native-innov8tif-face-detector into the environment using the command below:

```
react-native install react-native-innov8tif-face-detector@0.0.1
```

#### Android

Add the code below in app build.gradle file

````
android {
    ```
    aaptOptions {
        noCompress "tflite"
    }
}
````

####

#### iOS

1. Navigate to ios folder
2. Add the following code to Podfile

````
platform :ios, '11.0'
use_frameworks!

    ```

post_install do |installer|
    installer.pods_project.targets.each do |target|
        if target.name == "CryptoSwift"
			puts "Enable module stability for CryptoSwift"
			target.build_configurations.each do |config|
				config.build_settings['BUILD_LIBRARY_FOR_DISTRIBUTION'] = 'YES'
			end
        end
    end
end

````

3\.  Run command `Pod install`

####

### License

Apply licenses for Android and iOS SDKs

```
const license = Platform.select({
    android: "",
    ios: ""
})
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/installation-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
